kdenlive 0.7.3 on Ubuntu Jaunty

Hi to all.

 

I would like to install v.0.7.3 on Ubuntu Jaunty (version 0.7.2.1 crash on saving project -- it's a known bug), but installation from source requires to install half kde (dolphin and konqueror included :( ).

 

So, someone can build deb packages for Jaunty?

it's done, wait now for universe repo integration, it was published at 14:00 on launchpad : https://launchpad.net/ubuntu/+source/kdenlive

thanks to Anthony Mercatante for this quick packaging effort.

 

edit : kdenlive 0.7.3 is now available in the universe Jaunty repoitory. But MLT version stays at 0.3.4 ...

yes I have open a bug on launchpad about mlt

Solved, Tony Mercatante published mlt and mlt++ 0.3.8  packages a few minutes ago. That's cool !

 

 

Hi everyone

I'm new to Linux.  I would like to download a video editing suite.  All I know is that the system has KDE, and I think Ubuntu.  That is the sum total of my knowledge.  Any advice would be greatly appreciated.

Many thanks.

hi jalan,

 

If I understand well you have access to a computer under GNU/Linux operating system, probably Ubuntu, and you want to install Kdenlive. This video editing program is under heavy development, and a brand new version has been released 2 days ago (this is the recommended version as it fixes many bugs and adds many cool new features). But this version is only included at the moment in the development version of Ubuntu now on beta stage : version 9.04 aka Jaunty Jackalope. (in this thread we are talking about this version)

So first be sure that you are playing with Ubuntu and second, find the version (9.04, 8.10, 8.04, older ?) Then post these two answers and we will see what is the best for you to do.

 

well it crashed on my computer...then

i have compiled with my hand... and it doesn't crash.

to nowardev : crashes were probably caused by mlt 0.3.4 included in Jaunty universe repository. Since today the latest stable release 0.3.8 has been merged. I am testing it. I will give feedback.

i didn't install mlt i kept my mlt 3.8

i have only re-installed kdenlive .

so mlt doesn't matter becasue now with my kdenlive it's working perfectly

Thank for your explanation nowardev, I was wrong. So can you decribe what kind of crashes you have experimented with the package ? Then I will try to reproduce them, to help fixing the package. I am very interested in good quality package for ubuntu.

I've just updated my fresh installed test machine, and no crash for now.

 

can you confirm mlt++ has been updated as well? I get mlt in 0.3.8 but mlt++ still in 0.3.4

kdenlive
kdenlive(27564) MainWindow::parseProfiles: RESULTING MLT PATH:  "/usr/share/mlt/profiles/"
kdenlive(27564) initEffects::parseEffectFiles: //  INIT EFFECT SEARCH
kdenlive(27564) Wizard::checkMltComponents: // FOUND MLT's pkgconfig version:  38
kdenlive(27564) Wizard::installExtraMimes: EXTS:  ("*.vob", "*.mod", "*.mpe", "*.mpg", "*.mpeg", "*.mp2", "*.mts", "*.m2t", "*.ts")
kdenlive(27564) Wizard::installExtraMimes: INSTALLING NEW MIME TO:  "/home/frei/.local/share/mime/packages/video-mpeg.xml"
kdenlive(27564) Wizard::installExtraMimes: EXTS:  ("*.dv")
kdenlive(27564) Wizard::installExtraMimes: INSTALLING NEW MIME TO:  "/home/frei/.local/share/mime/packages/video-dv.xml"
kdenlive(27564) Render::Render: //////////  USING PROFILE:  dv_pal
kdenlive: symbol lookup error: kdenlive: undefined symbol: _ZN3Mlt8ConsumerC1ERNS_7ProfileEPcS3_

 

so it crashes.

 

and now i am sorry but i have understood why i get a lots of problem with kdenlive before. Packager for me is a noob. with kdenlive 0.6 i had to install some packages with my hand... to get it work

package has some kind of problem ; well i don't care anymore just because i have written how install kdenlive compiling on kubuntu. And recompling right now it works. stop .

 

but wth everytime there is always problems with kubuntu or ubuntu

 

 

mlt it's 0.3.8 and mlt++ too I HAVE COMPILED THEM.(omg)

 

mlt-config --version
0.3.8

mlt++ on the packager manager is 3.8 .
 

tried to install kdenlive from repository = crashes.

 

and now -.-'' i will recompile with my bash script

 

 

Hi.
When i start Kdenlive 0.7.3 (Ubuntu 9.04) i see:
-----------------------------------------------------
Приложение: Kdenlive (kdenlive), сигнал SIGSEGV
[Current thread is 0 (LWP 4913)]

Thread 2 (Thread 0xb5cfab90 (LWP 4914)):
#0 0xb80e9430 in __kernel_vsyscall ()
#1 0x4b5da7b1 in select () from /lib/tls/i686/cmov/libc.so.6
#2 0x454d79e0 in ?? () from /usr/lib/libQtCore.so.4
#3 0x45405fce in ?? () from /usr/lib/libQtCore.so.4
#4 0x4b6974ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5 0x4b5e249e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb80c3700 (LWP 4913)):
[KCrash Handler]
#5 0x00000000 in ?? ()
#6 0x081398b1 in Render::Render ()
#7 0x08116211 in Monitor::Monitor ()
#8 0x080eb436 in MainWindow::MainWindow ()
#9 0x080ca7e1 in main ()
-----------------------------------------------------
What it's mean?

After update of Jaunty I experiment the same crash reported by nowardev. This is probably caused by the new package version of mlt (0.3.8-0ubuntu2). Since the packager added the support of frei0r plugins it crashes. Yesterday with the initial package version (0.3.8-0ubuntu1) kdenlive was working.

this bug is open on launchpad :  https://bugs.launchpad.net/ubuntu/+source/kdenlive/+bug/363265

 

good news : frei0r plugins are now in ubuntu repositories

bad news : with this package version kdenlive is unusable (except compiling by hand or with a script)

 

edit : the ubuntu packager is rebuilding kdenlive against the new version package of mlt : we will see if it solves the crash...

edit2 : kdenlive version 0.7.3-0ubuntu2 is in the repos and solves the crash on startup experimented by nowardev and me. But frei0r plugins are not installed by default and are not recommended by the package.

 

doesn't solve it for me.. i just updated to 0.7.3-0ubuntu2 and i still get the message on startup
"error, couldn't find SDL module from MLT, Kdenlive will not start untill you fix this" (this is basically what it says, i did a "quick" translation from the french error message)

hi rico,

I know that. It's a weird thing but there is a tip :

- uninstall frei0r package

- run the "first time kdenlive wizard"

- and next re-install frei0r package

 I don't know why this happens, but for me installing frei0r after the install and first config of kdenlive worked without any problem.

edit : I open a bug report for this on lauchpad : https://bugs.launchpad.net/ubuntu/+source/kdenlive/+bug/363430

thank you sunab, that did the trick!

Hi

I have the very latest version of Kdenlive (0.7.3-0ubuntu2) , and Jaunty.

mlt is up to 0.38 too.

But, when I start kdenlive when it gets past the 'upgrade ' screen the mouse sticks and I cant move it till i close kdenlive. This happens in Gnome and KDE 4.2.

Is anyone else getting this behaviour ?

I will try uninstalling the freiorplugins too.

In the end, it was an easy fix. When previously usning Intrepid, I had played with the jog shuttle setup, but it hadnt done anything. But in Jaunty, I havent got the kit I had setup in the menu, so it meant that the control on kdenlive went to a non existant device.

 

Using the keyboard to disable the jog shuttle fixed it . phew !

nowardev wrote.

<snip>

kdenlive: symbol lookup error: kdenlive: undefined symbol: _ZN3Mlt8ConsumerC1ERNS_7ProfileEPcS3_

 

so it crashes.

<snip>

Looks very similar to http://www.kdenlive.org/mantis/view.php?id=772 with possible solution (though I use openSUSE)

With both the packages and a manual compilation (and removing frei0r-plugins, otherwise it's still crashing earlier), here is what I get on Jaunty (both mlt and mlt++ are 0.3.8):

$ /usr/local/bin/kdenlive
kdenlive(24306) MainWindow::parseProfiles: RESULTING MLT PATH: "/usr/share/mlt/profiles/"
kdenlive(24306) initEffects::parseEffectFiles: // INIT EFFECT SEARCH
KCrash: Application 'kdenlive' crashing...

Nothing appears on the screen - it just crashes. Here is the gdb backrtrace from my compiled version (from revision 3328):

(gdb) bt
#0  0xb7db300a in KListWidget::qt_metacall () from /usr/lib/libkdeui.so.5
#1  0xb7443ca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#2  0xb7444932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#3  0xb747e647 in QAbstractItemModel::modelReset () from /usr/lib/libQtCore.so.4
#4  0xb7427684 in QAbstractItemModel::reset () from /usr/lib/libQtCore.so.4
#5  0xb6fbfa65 in ?? () from /usr/lib/libQtGui.so.4
#6  0x08255797 in EffectsListWidget::initList (this=0x9083888) at /home/gnurou/Apps/kdenlive/kdenlive/src/effectslistwidget.cpp:59
#7  0x08256433 in EffectsListWidget (this=0x9083888, menu=0x91552c0, parent=0x0) at /home/gnurou/Apps/kdenlive/kdenlive/src/effectslistwidget.cpp:50
#8  0x081f4165 in EffectsListView (this=0x9155288, parent=0x0) at /home/gnurou/Apps/kdenlive/kdenlive/src/effectslistview.cpp:39
#9  0x080c70df in MainWindow (this=0x90027f8, MltPath=@0xbfd689ac, Url=@0xbfd6898c, parent=0x0) at /home/gnurou/Apps/kdenlive/kdenlive/src/mainwindow.cpp:152
#10 0x080aced2 in main (argc=1, argv=0xbfd68af4) at /home/gnurou/Apps/kdenlive/kdenlive/src/main.cpp:78

Any idea on what is going wrong?

PS: the text editor of the forum is pretty useless for formatting - I cannot apply formatted font setting to my terminal quotes without having it messed up when previewing.